/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JPanel;


public class GameCanvas extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private GameEngine m_engine;
	
	public GameCanvas(GameEngine engine)
	{
		super();
		
		m_engine = engine;
	}

	@Override
	public void paintComponent(Graphics g) 
	{
		super.paintComponent(g);	   
	      	    
	    Graphics2D g2D = (Graphics2D)g;
	    
	    m_engine.PaintGameStateToScreen(g2D);
	}
}
