/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.Graphics2D;

public class MapZoneBlock extends GameObject
{
	// Members
	private GameEngine m_gameEngine = null;
	private Direction m_direction = null;
	
	// Constructors
	public MapZoneBlock(GameEngine engine, Direction direction)
	{
		super();
		
		m_gameEngine = engine;
		m_direction = direction;
	}
	
	
	@Override
	public void Update(long elapsedGameTime)
	{
		// Yeah.. they're not moving
	}

	@Override
	protected void InitializeSprites()
	{
		// Transparent
	}

	@Override
	protected void InitializeStartingVectors()
	{
	}
	
	@Override
	public void Paint(Graphics2D graphics)
	{
//		graphics.fillRect(m_boundingBox.x, m_boundingBox.y, m_boundingBox.width, m_boundingBox.height);
	}
	
	public void DoHitAction()
	{
		m_gameEngine.ChangeZone(m_direction);
	}
}
