/**Copyright  2012 held by
 * Robert Williams
 * Robert Poland
 * Marc Hayes
 * Coen Smits
 * Justin Becker
 * All rights reserved.
 * 
 * 
 * This file is part of Bloodmoon.

    Bloodmoon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Bloodmoon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bloodmoon.  If not, see <http://www.gnu.org/licenses/>.
 */


public enum PlayerSkill 
{
	Health_Passive,
	Mana_Regen,
	Attack_Speed,
	Heavy_Strike,
	Multishot,
	Fireball
	
	// Melee
	//Heavy_Strike, // - powerful strike that has a long charge up (~1-2s)
	//Toughness, //- Permanent +DEF
	//Health_Passive, // - passive health regen
	//Whirlwind,
	
	// Ranged
	//Bow, // - allows the use of a bow
	//Bomb, // - deploys a bomb that explodes after a second or two
	//Attack_Speed, //Passive - increases move speed
	//Multishot, //- shoots out multiple arrows 

	// Spell
	//Fireball,
	//Energy_Shield,
	//Mana_Regen, // Passive - increases mana over time slowly
	//Big_AoE // - Use the fire tiger animation in the center of the screen and do AOE damage to the whole screen (old school style)
}
